<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>warning.ac</path>

  <animation>
    <!-- Objets opaques -->
    <object-name>fond</object-name>
    <object-name>warning</object-name>

    <!-- Objets transparents -->
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>warning</object-name>
  </animation>

  <animation>
    <type>material</type>
    <object-name>warning</object-name>
    <condition>
      <property>controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <!-- battery charge : on if the engine not running and / or the alternator not engaged -->
  <animation>
    <type>select</type>
    <object-name>warning</object-name>
    <condition>
      <and>
        <or>
          <not><property>engines/engine/running</property></not>
          <not><property>controls/engines/engine/master-alt</property></not>
        </or>
        <property>controls/electric/battery-switch</property>
      </and>
    </condition>
  </animation>

</PropertyList>
